Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
Class AbstractJComponentBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.AbstractJComponentBinding

All Implemented Interfaces:
  PropertyChangeListener

    class AbstractJComponentBinding
    extends AbstractSyntheticBinding

Field Summary
`JComponent` | `boundComponent`
`String` | `propertyName`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`AbstractJComponentBinding(PropertyBinding source, TargetBinding target, String propertyName)`

Method Summary
`void` | `componentHidden(ComponentEvent event)`
`void` | `componentMoved(ComponentEvent event)`
`void` | `componentResized(ComponentEvent event)`
`void` | `componentShown(ComponentEvent event)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundComponent

    JComponent boundComponent

### propertyName

    String propertyName

Constructor Detail

### AbstractJComponentBinding

    public AbstractJComponentBinding(PropertyBinding source, TargetBinding target, String propertyName)

Method Detail

### componentHidden

    public void componentHidden(ComponentEvent event)

### componentMoved

    public void componentMoved(ComponentEvent event)

### componentResized

    public void componentResized(ComponentEvent event)

### componentShown

    public void componentShown(ComponentEvent event)

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### syntheticBind

    public void syntheticBind()

### syntheticUnbind

    public void syntheticUnbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.